caption: Power management on the login screen
desc: |-
  Setting the policy lets you set how <ph name="PRODUCT_OS_NAME">$2<ex>Google ChromeOS</ex></ph> behaves when there is no user activity for some amount of time while the sign-in screen appears. The policy controls multiple settings. For their individual semantics and value ranges, see the corresponding policies that control power management within a session.

        The deviations from these policies are:

        * The actions to take on idle or lid close cannot be to end the session.

        * The default action taken on idle when running on AC power is to shut down.

        Leaving the policy or any of its settings unset results in the use of the default values for the various power settings.
device_only: true
example_value:
  AC:
    Delays:
      Idle: 30000
      ScreenDim: 10000
      ScreenOff: 20000
    IdleAction: DoNothing
  Battery:
    Delays:
      Idle: 30000
      ScreenDim: 10000
      ScreenOff: 20000
    IdleAction: DoNothing
  LidCloseAction: Suspend
  UserActivityScreenDimDelayScale: 110
features:
  dynamic_refresh: true
owners:
- file://components/policy/OWNERS
- bartfab@chromium.org
schema:
  properties:
    AC:
      $ref: DeviceLoginScreenPowerSettings
      description: Power management settings applicable only when running on AC power
    Battery:
      $ref: DeviceLoginScreenPowerSettings
      description: Power management settings applicable only when running on battery
        power
    LidCloseAction:
      description: Action to take when the lid is closed
      enum:
      - Suspend
      - Shutdown
      - DoNothing
      type: string
    UserActivityScreenDimDelayScale:
      description: Percentage by which the screen dim delay is scaled when user activity
        is observed while the screen is dimmed or soon after the screen has been turned
        off
      minimum: 100
      type: integer
  type: object
supported_on:
- chrome_os:30-
tags: []
type: dict
